Endpointsチャレンジ

決済確認を添えてメールを送信する

保護者への同意リクエストをメールで送信する際に、その背後にある購入について成人がすでに決済を完了したというアテステーションを添えます。 `paymentVerification` が必須である点を除き、`/challenge/send-email` と同じです。添えるべき決済がない場合は、そちらのAPIを使用してください。このアテステーションは、組織でTransactions機能が有効になっている場合にのみ読み取られ、それ以外の場合は無視されます。

POST
/challenge/send-email-with-payment-verification
AuthorizationBearer <token>

In: header

Header Parameters

Kid-Target-Product-Id?integer

Optional header for Account System Products to perform cross-product age gate checks. The value must be the product ID of the target product within the same organization. The target product must not itself be an Account System Product.

Request Body

application/json

Send email with payment verification request

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/challenge/send-email-with-payment-verification" \  -H "Content-Type: application/json" \  -d '{    "challengeId": "ae6d4729-af32-42ea-8ef2-ff46c7664802",    "paymentVerification": {      "provider": "xsolla",      "invoiceId": "2110445753",      "payerEmail": "parent@example.com",      "instrument": "card",      "funding": "credit"    }  }'
{}